<?php
import namespace System;
import namespace Gtk;
import namespace Gnome;

class MyProgram
{
	static function Main()
	{
		new MyProgram();
	}

	var $app;
	
	function MyProgram()
	{
		$program = new Program("MyProgram", "0.0", Modules::$UI, array());
		$this->app = new App("MyProgram", "MyWindow");
		$this->app->SetDefaultSize(400, 300);
		$this->app->Remove($this->app->Child);

		$btn = new Button("Click me!");
		$btn->BorderWidth = 20;
		$this->app->Child = $btn;
		$btn->Clicked->Add(new EventHandler(array($this, "ButtonClick")));
		$this->app->DeleteEvent->Add(new DeleteEventHandler(array($this, "OnAppDelete")));
		
		$this->app->ShowAll();
		$program->Run();
	}

	function ButtonClick($o, $e)
	{
		$dlg = new MessageDialog($this->app, DialogFlags::DestroyWithParent,
		 MessageType::Warning, ButtonsType::Close, "Hello world from PHP Gtk#!");
		$dlg->Run();
		$dlg->Destroy();
	}
	
	function OnAppDelete($o, $e)
	{
		Application::Quit();
	}
}
?>
